[arch-commits] Commit in texlive-bin/trunk (5 files)

François Charette francois at archlinux.org
Thu Jan 14 10:39:01 UTC 2010


    Date: Thursday, January 14, 2010 @ 05:39:01
  Author: francois
Revision: 63060

Patch luatex for poppler. Remove outdated patches
- We build luatex against libpoppler, as before, but we provide 
a more generic patch, as in the TeXLive version of pdftex.
- Restore PATH for texlinks (was removed by mistake in previous commit)

Added:
  texlive-bin/trunk/luatex-0.50-poppler.patch
Modified:
  texlive-bin/trunk/PKGBUILD
Deleted:
  texlive-bin/trunk/luatex-libpoppler-0.12.patch
  texlive-bin/trunk/ubuntu_libpoppler-0.11.patch
  texlive-bin/trunk/ubuntu_libpoppler-0.12.patch

------------------------------+
 PKGBUILD                     |   11 ++++++----
 luatex-0.50-poppler.patch    |   44 +++++++++++++++++++++++++++++++++++++++++
 luatex-libpoppler-0.12.patch |   30 ---------------------------
 ubuntu_libpoppler-0.11.patch |   14 -------------
 ubuntu_libpoppler-0.12.patch |   26 ------------------------
 5 files changed, 51 insertions(+), 74 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-14 09:20:46 UTC (rev 63059)
+++ PKGBUILD	2010-01-14 10:39:01 UTC (rev 63060)
@@ -14,7 +14,8 @@
         'ftp://ftp.archlinux.org/other/texlive/texlive-bin-source-20100112.tar.xz'
         'ftp://ftp.archlinux.org/other/texlive/texlive-bin-texmf-20100112.tar.xz'
         'http://foundry.supelec.fr/gf/download/frsrelease/364/1424/luatex-beta-0.50.0.tar.bz2'
-        'fix-fontforge-encoding.patch')
+        'fix-fontforge-encoding.patch'
+        'luatex-0.50-poppler.patch')
 backup=(usr/share/texmf/web2c/texmf.cnf \
 	usr/share/texmf-config/web2c/mktex.cnf \
 	usr/share/texmf-config/web2c/updmap.cfg \
@@ -30,7 +31,8 @@
          'bed5410ff12bb62da1064b306af0baa2'
          '8c4eb9b70a3abc86339c285b01439e1f'
          '125a21f67ff54440606660306106d331'
-         'bfb9716aa00c86c08cd31e5b32edeb98')
+         'bfb9716aa00c86c08cd31e5b32edeb98'
+         'c5c12aa500e54286b30db0dbb28d4e81')
 build() {
    if [ "${CARCH}" = "x86_64" ]; then
      export CFLAGS="${CFLAGS} -fPIC"
@@ -47,6 +49,7 @@
    # when integrated in the texlive build tree
    cd luatex-beta-0.50.0 || return 1
    patch -p0 -i ../fix-fontforge-encoding.patch || return 1
+   patch -p1 -i ../luatex-0.50-poppler.patch || return 1
    mkdir build || return 1
    cd build || return 1
    ../source/configure --prefix=/usr \
@@ -103,6 +106,7 @@
     --disable-xdvipdfmx \
     --without-system-kpathsea \
     --with-system-freetype2 \
+    --with-system-xpdf \
     --with-freetype2-libdir=/usr/lib \
     --with-freetype2-include=/usr/include/freetype2 \
     --with-system-gd \
@@ -115,7 +119,6 @@
     --disable-ipc \
     --without-mf-x-toolkit \
     --without-x  || return 1
-    ### NEW: removed --with-system-xpdf
    make || return 1
 
    ## install luatex binary
@@ -189,7 +192,7 @@
 
    ## create symlinks for formats 
    echo "--> Create symlinks for TeX formats ..."
-   $pkgdir/usr/bin/texlinks -f $pkgdir/usr/share/texmf/web2c/fmtutil.cnf $pkgdir/usr/bin/ || return 1
+   PATH="$PATH:${pkgdir}/usr/bin" texlinks -f $pkgdir/usr/share/texmf/web2c/fmtutil.cnf $pkgdir/usr/bin/ || return 1
    #############################################################
    
    ## CLEAN UP... 

Added: luatex-0.50-poppler.patch
===================================================================
--- luatex-0.50-poppler.patch	                        (rev 0)
+++ luatex-0.50-poppler.patch	2010-01-14 10:39:01 UTC (rev 63060)
@@ -0,0 +1,44 @@
+--- luatex-beta-0.50.0/source/texk/web2c/luatexdir/image/pdftoepdf.cc.orig	2009-12-24 19:50:48.000000000 +0100
++++ luatex-beta-0.50.0/source/texk/web2c/luatexdir/image/pdftoepdf.cc	2010-01-14 08:53:58.086685489 +0100
+@@ -560,7 +560,12 @@
+     int rotate;
+     char *checksum;
+     PDFRectangle *pagebox;
++#ifdef POPPLER_VERSION
++    int pdf_major_version_found, pdf_minor_version_found;
++    float xsize, ysize, xorig, yorig;
++#else
+     float pdf_version_found, pdf_version_wanted, xsize, ysize, xorig, yorig;
++#endif
+     assert(idict != NULL);
+     assert(img_type(idict) == IMG_TYPE_PDF);
+     assert(readtype == IMG_CLOSEINBETWEEN);     // only this is implemented
+@@ -583,6 +588,20 @@
+     // this works only for PDF 1.x -- but since any versions of PDF newer
+     // than 1.x will not be backwards compatible to PDF 1.x, pdfTeX will
+     // then have to changed drastically anyway.
++#ifdef POPPLER_VERSION
++    pdf_major_version_found = pdf_doc->doc->getPDFMajorVersion();
++    pdf_minor_version_found = pdf_doc->doc->getPDFMinorVersion();
++    if ((pdf_major_version_found > 1)
++     || (pdf_minor_version_found > minor_pdf_version_wanted)) {
++        const char *msg =
++            "PDF inclusion: found PDF version <%d.%d>, but at most version <1.%d> allowed";
++        if (pdf_inclusion_errorlevel > 0) {
++            pdftex_fail(msg, pdf_major_version_found, pdf_minor_version_found, minor_pdf_version_wanted);
++        } else {
++            pdftex_warn(msg, pdf_major_version_found, pdf_minor_version_found, minor_pdf_version_wanted);
++        }
++    }
++#else
+     pdf_version_found = pdf_doc->doc->getPDFVersion();
+     pdf_version_wanted = 1 + (minor_pdf_version_wanted * 0.1);
+     if (pdf_version_found > pdf_version_wanted + 0.01) {
+@@ -594,6 +613,7 @@
+             pdftex_warn(msg, pdf_version_found, pdf_version_wanted);
+         }
+     }
++#endif
+     img_totalpages(idict) = pdf_doc->doc->getCatalog()->getNumPages();
+     if (img_pagename(idict)) {
+         // get page by name

Deleted: luatex-libpoppler-0.12.patch
===================================================================
--- luatex-libpoppler-0.12.patch	2010-01-14 09:20:46 UTC (rev 63059)
+++ luatex-libpoppler-0.12.patch	2010-01-14 10:39:01 UTC (rev 63060)
@@ -1,30 +0,0 @@
---- luatex-beta-0.43.0/source/texk/web2c/luatexdir/image/pdftoepdf.cc.orig	2009-10-10 23:33:01.000000000 +0200
-+++ luatex-beta-0.43.0/source/texk/web2c/luatexdir/image/pdftoepdf.cc	2009-10-10 23:34:23.000000000 +0200
-@@ -672,7 +672,7 @@
-     }
-     for (r = encodingList; r != NULL; r = n) {
-         n = r->next;
--        delete r->font;
-+        //delete r->font;
-         delete r;
-     }
- }
-@@ -712,6 +712,7 @@
-     Page *page;
-     int rotate;
-     PDFRectangle *pagebox;
-+    int minor_pdf_version_found, major_pdf_version_found;
-     float pdf_version_found, pdf_version_wanted, xsize, ysize, xorig, yorig;
-     assert(idict != NULL);
-     assert(img_type(idict) == IMG_TYPE_PDF);
-@@ -727,7 +728,9 @@
-     // this works only for PDF 1.x -- but since any versions of PDF newer
-     // than 1.x will not be backwards compatible to PDF 1.x, pdfTeX will
-     // then have to changed drastically anyway.
--    pdf_version_found = pdf_doc->doc->getPDFVersion();
-+    minor_pdf_version_found = pdf_doc->doc->getPDFMinorVersion();
-+    major_pdf_version_found = pdf_doc->doc->getPDFMajorVersion();
-+    pdf_version_found = major_pdf_version_found + (minor_pdf_version_found * 0.1);
-     pdf_version_wanted = 1 + (minor_pdf_version_wanted * 0.1);
-     if (pdf_version_found > pdf_version_wanted + 0.01) {
-         char msg[] =

Deleted: ubuntu_libpoppler-0.11.patch
===================================================================
--- ubuntu_libpoppler-0.11.patch	2010-01-14 09:20:46 UTC (rev 63059)
+++ ubuntu_libpoppler-0.11.patch	2010-01-14 10:39:01 UTC (rev 63060)
@@ -1,14 +0,0 @@
-Fix a FTBFS with libpoppler 0.11: the destructor of GfxFont is virtual, and it doesn't make sense to call it.
-Index: texlive-bin-2007.dfsg.2/build/source/texk/web2c/pdftexdir/pdftoepdf.cc
-===================================================================
---- texlive-bin-2007.dfsg.2.orig/build/source/texk/web2c/pdftexdir/pdftoepdf.cc	2009-09-28 08:44:25.000000000 +0000
-+++ texlive-bin-2007.dfsg.2/build/source/texk/web2c/pdftexdir/pdftoepdf.cc	2009-09-28 09:25:56.000000000 +0000
-@@ -633,7 +633,7 @@
-     }
-     for (r = encodingList; r != 0; r = n) {
-         n = r->next;
--        delete r->font;
-+//        delete r->font;
-         delete r;
-     }
- }

Deleted: ubuntu_libpoppler-0.12.patch
===================================================================
--- ubuntu_libpoppler-0.12.patch	2010-01-14 09:20:46 UTC (rev 63059)
+++ ubuntu_libpoppler-0.12.patch	2010-01-14 10:39:01 UTC (rev 63060)
@@ -1,26 +0,0 @@
-Fix a FTBFS with libpoppler 0.12: use getPDFMinorVersion instead of getPDFVersion
-Index: texlive-bin-2007.dfsg.2/build/source/texk/web2c/pdftexdir/pdftoepdf.cc
-===================================================================
---- texlive-bin-2007.dfsg.2.orig/build/source/texk/web2c/pdftexdir/pdftoepdf.cc	2009-09-28 10:25:18.000000000 +0000
-+++ texlive-bin-2007.dfsg.2/build/source/texk/web2c/pdftexdir/pdftoepdf.cc	2009-09-28 10:59:33.000000000 +0000
-@@ -673,6 +673,7 @@
-     Page *page;
-     int rotate;
-     PDFRectangle *pagebox;
-+    int minor_pdf_version_found, major_pdf_version_found;
-     float pdf_version_found, pdf_version_wanted;
-     // initialize
-     if (!isInit) {
-@@ -688,8 +689,11 @@
-     // this works only for PDF 1.x -- but since any versions of PDF newer
-     // than 1.x will not be backwards compatible to PDF 1.x, pdfTeX will
-     // then have to changed drastically anyway.
--    pdf_version_found = pdf_doc->doc->getPDFVersion();
-+    minor_pdf_version_found = pdf_doc->doc->getPDFMinorVersion();
-+    major_pdf_version_found = pdf_doc->doc->getPDFMajorVersion();
-+    pdf_version_found = major_pdf_version_found + (minor_pdf_version_found * 0.1);
-     pdf_version_wanted = 1 + (minor_pdf_version_wanted * 0.1);
-+
-     if (pdf_version_found > pdf_version_wanted) {
-         char msg[] =
-             "PDF inclusion: found PDF version <%.1f>, but at most version <%.1f> allowed";




More information about the arch-commits mailing list